"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ResponsiveUrlText = void 0;

var _react = _interopRequireDefault(require("react"));

var R = _interopRequireWildcard(require("ramda"));

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; if (obj != null) { var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var ResponsiveUrlText = R.compose(R.addIndex(R.map)(function (token, ix) {
  return _react["default"].createElement("span", {
    key: token
  }, ix ? _react["default"].createElement(_react["default"].Fragment, null, _react["default"].createElement("wbr", null), token) : token);
}), R.map(R.join('')), R.groupWith(function (s) {
  return './'.includes(s[0]);
}), R.split(/([./]+)/g), R.prop('url'));
exports.ResponsiveUrlText = ResponsiveUrlText;